Skip Menu |
 

This queue is for tickets about the Module-Build CPAN distribution.

Report information
The Basics
Id: 115094
Status: rejected
Priority: 0/
Queue: Module-Build

People
Owner: Nobody in particular
Requestors: KES [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: (no value)
Fixed in: (no value)



Subject: perl Build.PL does not detect missing modules
MIME-Version: 1.0
X-Mailer: MIME-tools 5.504 (Entity 5.504)
Content-Disposition: inline
X-RT-Interface: Web
Message-ID: <rt-4.0.18-5272-1465145748-799.0-0-0 [...] rt.cpan.org>
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: binary
X-RT-Original-Encoding: utf-8
X-RT-Encrypt: 0
X-RT-Sign: 0
Content-Length: 2295
Download (untitled) / with headers
text/plain 2.2k
For the project: https://github.com/KES777/Devel-DebugHooks ``` kes@keswork ~/work/projects/perl_libs $ perl Build.PL Checking prerequisites... recommends: * IO::Async::Loop is not installed * Log::Log4perl is not installed ERRORS/WARNINGS FOUND IN PREREQUISITES. You may wish to install the versions of the modules indicated above before proceeding with this installation Run 'Build installdeps' to install missing prerequisites. Creating new 'MYMETA.yml' with configuration results Creating new 'Build' script for 'Devel-DebugHooks' version '0.01_01' kes@keswork ~/work/projects/perl_libs $ perlbrew list-modules Capture::Tiny Data::Dump Data::OptList Data::Section ExtUtils::MakeMaker Guard MRO::Compat Params::Util Perl Software::License Sub::Exporter Sub::Install Test::FailWarnings Test::Simple Text::Template Try::Tiny kes@keswork ~/work/projects/perl_libs $ ./Build disttest Creating Makefile.PL Creating LICENSE file Creating META.yml Creating Devel-DebugHooks-0.01_01 Checking prerequisites... recommends: * IO::Async::Loop is not installed * Log::Log4perl is not installed ERRORS/WARNINGS FOUND IN PREREQUISITES. You may wish to install the versions of the modules indicated above before proceeding with this installation Run 'Build installdeps' to install missing prerequisites. Creating new 'MYMETA.yml' with configuration results Creating new 'Build' script for 'Devel-DebugHooks' version '0.01_01' Building Devel-DebugHooks t/15-eval.t .......... Can't locate Test/Output.pm in @INC (@INC contains: /home/kes/work/projects/perl_libs/Devel-DebugHooks-0.01_01/blib/lib /home/kes/work/projects/perl_libs/Devel-DebugHooks-0.01_01/blib/arch /home/kes/perl5/perlbrew/perls/perl-5.12.5/lib/site_perl/5.12.5/x86_64-linux /home/kes/perl5/perlbrew/perls/perl-5.12.5/lib/site_perl/5.12.5 /home/kes/perl5/perlbrew/perls/perl-5.12.5/lib/5.12.5/x86_64-linux /home/kes/perl5/perlbrew/perls/perl-5.12.5/lib/5.12.5 .) at t/15-eval.t line 8. BEGIN failed--compilation aborted at t/15-eval.t line 8. ``` But in the Build.PL: ``` test_requires => { 'Test::More' => 0, 'Test::Output' => 0, 'Test::Differences' => 0, 'Data::Section::Simple' => 0, }, ```
MIME-Version: 1.0
In-Reply-To: <rt-4.0.18-5272-1465145748-799.0-0-0 [...] rt.cpan.org>
X-Mailer: MIME-tools 5.504 (Entity 5.504)
Content-Disposition: inline
X-RT-Interface: Web
References: <rt-4.0.18-5272-1465145748-799.0-0-0 [...] rt.cpan.org>
Content-Type: text/plain; charset="utf-8"
Message-ID: <rt-4.0.18-2999-1465147685-763.115094-0-0 [...] rt.cpan.org>
Content-Transfer-Encoding: binary
X-RT-Original-Encoding: utf-8
X-RT-Encrypt: 0
X-RT-Sign: 0
Content-Length: 606
Download (untitled) / with headers
text/plain 606b
On 2016-06-05 09:55:48, KES wrote: Show quoted text
> For the project: https://github.com/KES777/Devel-DebugHooks > ``` > kes@keswork ~/work/projects/perl_libs $ perl Build.PL > Checking prerequisites... > recommends: > * IO::Async::Loop is not installed > * Log::Log4perl is not installed > > ERRORS/WARNINGS FOUND IN PREREQUISITES. You may wish to install the > versions > of the modules indicated above before proceeding with this > installation > > Run 'Build installdeps' to install missing prerequisites.
What is the bug here? Contrary to the subject line, missing prerequisites are indeed detected.
MIME-Version: 1.0
X-Spam-Status: No, score=-5.992 tagged_above=-99.9 required=10 tests=[AWL=0.606, BAYES_00=-1.9, DKIM_SIGNED=0.1, DKIM_VALID=-0.1, FREEMAIL_FROM=0.001, FROM_OUR_RT=-4, HTML_MESSAGE=0.001, RCVD_IN_DNSWL_LOW=-0.7] autolearn=ham
In-Reply-To: <rt-4.0.18-5272-1465145748-666.115094-4-0 [...] rt.cpan.org>
X-Spam-Flag: NO
X-RT-Interface: API
References: <RT-Ticket-115094 [...] rt.cpan.org> <rt-4.0.18-5272-1465145748-666.115094-4-0 [...] rt.cpan.org>
X-Virus-Checked: Checked
X-Virus-Scanned: Debian amavisd-new at bestpractical.com
X-Received: by 10.176.1.17 with SMTP id 17mr3115252uak.154.1465148963601; Sun, 05 Jun 2016 10:49:23 -0700 (PDT)
Message-ID: <CAHhgV8h8oKQ3nceiqYAvUxU9aDdahSUhUUFoic3inuEFGLcXXg [...] mail.gmail.com>
Content-Type: multipart/alternative; boundary="001a113cfa7084c40705348b93ea"
X-Spam-Score: -5.992
Authentication-Results: hipster.bestpractical.com (amavisd-new); dkim=pass header.i= [...] gmail.com
Received: from localhost (localhost [127.0.0.1]) by hipster.bestpractical.com (Postfix) with ESMTP id BEA55240101 for <cpan-bug+Module-Build [...] hipster.bestpractical.com>; Sun, 5 Jun 2016 13:49:37 -0400 (EDT)
Received: from hipster.bestpractical.com ([127.0.0.1]) by localhost (hipster.bestpractical.com [127.0.0.1]) (amavisd-new, port 10024) with ESMTP id s+cabpKmwjR4 for <cpan-bug+Module-Build [...] hipster.bestpractical.com>; Sun, 5 Jun 2016 13:49:33 -0400 (EDT)
Received: from la.mx.develooper.com (x1.develooper.com [207.171.7.70]) by hipster.bestpractical.com (Postfix) with SMTP id 2D3892400B6 for <bug-Module-Build [...] rt.cpan.org>; Sun, 5 Jun 2016 13:49:33 -0400 (EDT)
Received: (qmail 12275 invoked by alias); 5 Jun 2016 17:49:32 -0000
Received: from mail-vk0-f45.google.com (HELO mail-vk0-f45.google.com) (209.85.213.45) by la.mx.develooper.com (qpsmtpd/0.28) with ESMTP; Sun, 05 Jun 2016 10:49:28 -0700
Received: by mail-vk0-f45.google.com with SMTP id c66so20030379vkb.3 for <bug-Module-Build [...] rt.cpan.org>; Sun, 05 Jun 2016 10:49:27 -0700 (PDT)
Received: by 10.103.86.205 with HTTP; Sun, 5 Jun 2016 10:49:04 -0700 (PDT)
Delivered-To: cpan-bug+Module-Build [...] hipster.bestpractical.com
Subject: Re: [rt.cpan.org #115094] perl Build.PL does not detect missing modules
Return-Path: <fawaka [...] gmail.com>
Dkim-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113; h=mime-version:sender:in-reply-to:references:from:date:message-id :subject:to; bh=u/K9MJZ4Iiv/ZMzFgbWZzRZCpdHFjDQclF3fTLxnPss=; b=jFZYHeBtqFuGIzpk+b3LlObxUFAz9axMGRy8kpph+u2LPAR3ksS8Bg0rF87YkCRx2Q Ms7gyjlsaGfCAjONGNXMTnOfpcp98u7FaIR/wPFSDDTUo/rhLili8IHfbsu98NWgVQrl tOC/LSbvGuXX1EM+myKXykg6vWBzFY3NEQgVzYCOzrKjc31qySLKoV+VFvVgmcZjnKZy 45MGCNqVB+qZ1S+1bMJPzNdmynS/+LBPQLTYFJtRTfO+Ou2IbpXRYnWZOioK1FqWY3Vm sXwR+2paYNu+KB9wWilsGrvlMONLd57gbM3bBj3PkPac9G6pPzw1qJmiEM93HsenMy4H W2CA==
X-Spam-Check-BY: la.mx.develooper.com
X-Original-To: cpan-bug+Module-Build [...] hipster.bestpractical.com
X-RT-Mail-Extension: module-build
X-Google-Dkim-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=1e100.net; s=20130820; h=x-gm-message-state:mime-version:sender:in-reply-to:references:from :date:message-id:subject:to; bh=u/K9MJZ4Iiv/ZMzFgbWZzRZCpdHFjDQclF3fTLxnPss=; b=ZRowy/Bv09O4XyvR8wWsZLyw5Bs+gP+FCQ134F4GDjifq/zTmD6UtIsZ3U9UjLORjL Ly5RXmL1ziU0W92KIWlT//C63Gm62bAu//vLKAqONZ8RcmO9OFG46NOahWv6vC/WBfnL DtniZvrwyJl3+QN7l6b6A0ciyM/32t6rumoBQ+QLzg+x7DRXjV5XpPRF4qv+BuhD/GTk yLp+Nx60UqsCFfW9tWeqf7aUD98WI8SJiwPFegPU9UJP92eOXp6ISymfnFPJkDg7ltSS NvCjSACt1PBraM/eF3NJf9ma3TGMuYIRG7lPNTRJCAcg1Pe+JQj2D7IBxCaDoAgLXrGn 8RDg==
X-Google-Sender-Auth: qXI00tXtayIsXv9fViqWyPEt1tQ
Sender: fawaka [...] gmail.com
Date: Sun, 5 Jun 2016 19:49:04 +0200
X-Spam-Level:
To: bug-Module-Build [...] rt.cpan.org
X-GM-Message-State: ALyK8tLZ/EOsCzlqdUmQ49ebgy6lDOWJmOhpw+zisk2w/FRcNODBz+r8zCGLOWR0GRfwFSL1c7+95KTwZzHiEA==
From: Leon Timmermans <leont [...] cpan.org>
RT-Message-ID: <rt-4.0.18-2999-1465148978-1499.115094-0-0 [...] rt.cpan.org>
Content-Length: 0
content-type: text/plain; charset="utf-8"
X-RT-Original-Encoding: utf-8
Content-Length: 2693
Download (untitled) / with headers
text/plain 2.6k
On Sun, Jun 5, 2016 at 6:55 PM, Eugen Konkov via RT < bug-Module-Build@rt.cpan.org> wrote: Show quoted text
> For the project: https://github.com/KES777/Devel-DebugHooks > ``` > kes@keswork ~/work/projects/perl_libs $ perl Build.PL > Checking prerequisites... > recommends: > * IO::Async::Loop is not installed > * Log::Log4perl is not installed > > ERRORS/WARNINGS FOUND IN PREREQUISITES. You may wish to install the > versions > of the modules indicated above before proceeding with this installation > > Run 'Build installdeps' to install missing prerequisites. > > Creating new 'MYMETA.yml' with configuration results > Creating new 'Build' script for 'Devel-DebugHooks' version '0.01_01' > kes@keswork ~/work/projects/perl_libs $ perlbrew list-modules > Capture::Tiny > Data::Dump > Data::OptList > Data::Section > ExtUtils::MakeMaker > Guard > MRO::Compat > Params::Util > Perl > Software::License > Sub::Exporter > Sub::Install > Test::FailWarnings > Test::Simple > Text::Template > Try::Tiny > kes@keswork ~/work/projects/perl_libs $ ./Build disttest > Creating Makefile.PL > Creating LICENSE file > Creating META.yml > Creating Devel-DebugHooks-0.01_01 > Checking prerequisites... > recommends: > * IO::Async::Loop is not installed > * Log::Log4perl is not installed > > ERRORS/WARNINGS FOUND IN PREREQUISITES. You may wish to install the > versions > of the modules indicated above before proceeding with this installation > > Run 'Build installdeps' to install missing prerequisites. > > Creating new 'MYMETA.yml' with configuration results > Creating new 'Build' script for 'Devel-DebugHooks' version '0.01_01' > Building Devel-DebugHooks > t/15-eval.t .......... Can't locate Test/Output.pm in @INC (@INC contains: > /home/kes/work/projects/perl_libs/Devel-DebugHooks-0.01_01/blib/lib > /home/kes/work/projects/perl_libs/Devel-DebugHooks-0.01_01/blib/arch > /home/kes/perl5/perlbrew/perls/perl-5.12.5/lib/site_perl/5.12.5/x86_64-linux > /home/kes/perl5/perlbrew/perls/perl-5.12.5/lib/site_perl/5.12.5 > /home/kes/perl5/perlbrew/perls/perl-5.12.5/lib/5.12.5/x86_64-linux > /home/kes/perl5/perlbrew/perls/perl-5.12.5/lib/5.12.5 .) at t/15-eval.t > line 8. > BEGIN failed--compilation aborted at t/15-eval.t line 8. > > ``` > > But in the Build.PL: > ``` > test_requires => { > 'Test::More' => 0, > 'Test::Output' => 0, > 'Test::Differences' => 0, > 'Data::Section::Simple' => 0, > }, > ``` >
What version of Module::Build is used on the deployed system? test_requires is a 0.4200+ feature, that may cause this issue. Configure_requires is your friend. Leon
content-type: text/html; charset="utf-8"
Content-Transfer-Encoding: quoted-printable
X-RT-Original-Encoding: utf-8
Content-Length: 3501
MIME-Version: 1.0
X-Spam-Status: No, score=-6.699 tagged_above=-99.9 required=10 tests=[BAYES_00=-1.9, DKIM_SIGNED=0.1, DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, FREEMAIL_FROM=0.001, FROM_OUR_RT=-4, RCVD_IN_DNSWL_LOW=-0.7] autolearn=ham
In-Reply-To: <rt-4.0.18-2999-1465147686-114.115094-6-0 [...] rt.cpan.org>
X-Mailer: Yamail [ http://yandex.ru ] 5.0
X-Spam-Flag: NO
X-RT-Interface: API
X-Yandex-Sender-Uid: 7777926
Envelope-From: kes-kes [...] yandex.ua
References: <RT-Ticket-115094 [...] rt.cpan.org> <rt-4.0.18-5272-1465145748-799.115094-6-0 [...] rt.cpan.org> <rt-4.0.18-2999-1465147686-114.115094-6-0 [...] rt.cpan.org>
X-Virus-Scanned: Debian amavisd-new at bestpractical.com
Message-ID: <2306261465149143 [...] web18j.yandex.ru>
content-type: text/plain; charset="utf-8"
X-RT-Original-Encoding: utf-8
X-Spam-Score: -6.699
Authentication-Results: hipster.bestpractical.com (amavisd-new); dkim=pass header.i= [...] yandex.ru
Authentication-Results: mxback9j.mail.yandex.net; dkim=pass header.i= [...] yandex.ru
Received: from localhost (localhost [127.0.0.1]) by hipster.bestpractical.com (Postfix) with ESMTP id 69451240101 for <cpan-bug+module-build [...] hipster.bestpractical.com>; Sun, 5 Jun 2016 13:52:35 -0400 (EDT)
Received: from hipster.bestpractical.com ([127.0.0.1]) by localhost (hipster.bestpractical.com [127.0.0.1]) (amavisd-new, port 10024) with ESMTP id QUgDqOd0KZeD for <cpan-bug+module-build [...] hipster.bestpractical.com>; Sun, 5 Jun 2016 13:52:33 -0400 (EDT)
Received: from la.mx.develooper.com (x1.develooper.com [207.171.7.70]) by hipster.bestpractical.com (Postfix) with SMTP id 7DEC42400B6 for <bug-module-build [...] rt.cpan.org>; Sun, 5 Jun 2016 13:52:33 -0400 (EDT)
Received: (qmail 12375 invoked by alias); 5 Jun 2016 17:52:32 -0000
Received: from forward3j.cmail.yandex.net (HELO forward3j.cmail.yandex.net) (5.255.227.21) by la.mx.develooper.com (qpsmtpd/0.28) with ESMTP; Sun, 05 Jun 2016 10:52:29 -0700
Received: from mxback9j.mail.yandex.net (mxback9j.mail.yandex.net [5.45.198.23]) by forward3j.cmail.yandex.net (Yandex) with ESMTP id 26E0120C08; Sun, 5 Jun 2016 20:52:24 +0300 (MSK)
Received: from web18j.yandex.ru (web18j.yandex.ru [5.45.198.59]) by mxback9j.mail.yandex.net (nwsmtp/Yandex) with ESMTP id ugS0SLlmIw-qNkKOvxD; Sun, 05 Jun 2016 20:52:23 +0300
Received: by web18j.yandex.ru with HTTP; Sun, 05 Jun 2016 20:52:23 +0300
Delivered-To: cpan-bug+module-build [...] hipster.bestpractical.com
Subject: Re: [rt.cpan.org #115094] perl Build.PL does not detect missing modules
Return-Path: <kes-kes [...] yandex.ru>
Dkim-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yandex.ru; s=mail; t=1465149143; bh=58E3NMWtYUPQu5UOIVrQ6JcUFGcVpclTEI4InVeULY0=; h=X-Yandex-Sender-Uid:From:Envelope-From:To:In-Reply-To:References: Subject:MIME-Version:Message-Id:X-Mailer:Date: Content-Transfer-Encoding:Content-Type; b=rQ/RNkDCO0JRSxizy8eIxTrxMe9I/M0VtyaD26xGx11wmCnQs5Ip5AgCuC9qLn/20 s97azAxFBCZrBmckUPBMWmADE2yXJ+h2jrO5OfWAEAKwwrqfCGJlcdAedl4EkbQfaF JyNj5ApMMNHX9PJfnrafSp/8Exf8ryGajOJMRTvs=
X-Spam-Check-BY: la.mx.develooper.com
X-Original-To: cpan-bug+module-build [...] hipster.bestpractical.com
X-RT-Mail-Extension: module-build
Date: Sun, 05 Jun 2016 20:52:23 +0300
X-Spam-Level:
X-Yandex-Suid-Status: 1 0,1 0,1 17274060
To: "bug-Module-Build [...] rt.cpan.org" <bug-module-build [...] rt.cpan.org>, "KES [...] cpan.org" <kes [...] cpan.org>
Content-Transfer-Encoding: 8bit
From: KES <kes-kes [...] yandex.ru>
RT-Message-ID: <rt-4.0.18-10131-1465149156-914.115094-0-0 [...] rt.cpan.org>
Content-Length: 1151
Download (untitled) / with headers
text/plain 1.1k
I install perlbrew and two perls. Then I run ' perl Build.PL' It show me that I should install Test::Output, Test::More etc. I install, then test dist. Ok here. When I switch to another perl and run 'perl Build.PL' it does not show that I require to install 'Test::Output, Test::More' etc. I ignore that and just start to test distribution, but got errors. 05.06.2016, 20:28, "Karen Etheridge via RT" <bug-module-build@rt.cpan.org>: Show quoted text
> <URL: https://rt.cpan.org/Ticket/Display.html?id=115094 > > > On 2016-06-05 09:55:48, KES wrote:
>>  For the project: https://github.com/KES777/Devel-DebugHooks >>  ``` >>   kes@keswork ~/work/projects/perl_libs $ perl Build.PL >>  Checking prerequisites... >>    recommends: >>      * IO::Async::Loop is not installed >>      * Log::Log4perl is not installed >> >>  ERRORS/WARNINGS FOUND IN PREREQUISITES. You may wish to install the >>  versions >>  of the modules indicated above before proceeding with this >>  installation >> >>  Run 'Build installdeps' to install missing prerequisites.
> > What is the bug here? Contrary to the subject line, missing prerequisites are indeed detected.
MIME-Version: 1.0
X-Spam-Status: No, score=-6.699 tagged_above=-99.9 required=10 tests=[BAYES_00=-1.9, DKIM_SIGNED=0.1, DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, FREEMAIL_FROM=0.001, FROM_OUR_RT=-4, RCVD_IN_DNSWL_LOW=-0.7] autolearn=ham
In-Reply-To: <rt-4.0.18-2999-1465148978-177.115094-6-0 [...] rt.cpan.org>
X-Mailer: Yamail [ http://yandex.ru ] 5.0
X-Spam-Flag: NO
X-RT-Interface: API
X-Yandex-Sender-Uid: 7777926
Envelope-From: kes-kes [...] yandex.ua
References: <RT-Ticket-115094 [...] rt.cpan.org> <rt-4.0.18-5272-1465145748-666.115094-4-0 [...] rt.cpan.org> <CAHhgV8h8oKQ3nceiqYAvUxU9aDdahSUhUUFoic3inuEFGLcXXg [...] mail.gmail.com> <rt-4.0.18-2999-1465148978-177.115094-6-0 [...] rt.cpan.org>
X-Virus-Scanned: Debian amavisd-new at bestpractical.com
Message-ID: <2323811465149805 [...] web18j.yandex.ru>
content-type: text/plain; charset="utf-8"
X-RT-Original-Encoding: utf-8
X-Spam-Score: -6.699
Authentication-Results: hipster.bestpractical.com (amavisd-new); dkim=pass header.i= [...] yandex.ru
Authentication-Results: mxback2j.mail.yandex.net; dkim=pass header.i= [...] yandex.ru
Received: from localhost (localhost [127.0.0.1]) by hipster.bestpractical.com (Postfix) with ESMTP id 8088F2401F8 for <cpan-bug+module-build [...] hipster.bestpractical.com>; Sun, 5 Jun 2016 14:03:46 -0400 (EDT)
Received: from hipster.bestpractical.com ([127.0.0.1]) by localhost (hipster.bestpractical.com [127.0.0.1]) (amavisd-new, port 10024) with ESMTP id fDITUXIL-LgE for <cpan-bug+module-build [...] hipster.bestpractical.com>; Sun, 5 Jun 2016 14:03:44 -0400 (EDT)
Received: from la.mx.develooper.com (x1.develooper.com [207.171.7.70]) by hipster.bestpractical.com (Postfix) with SMTP id BA9772400B6 for <bug-module-build [...] rt.cpan.org>; Sun, 5 Jun 2016 14:03:43 -0400 (EDT)
Received: (qmail 12789 invoked by alias); 5 Jun 2016 18:03:42 -0000
Received: from forward5j.cmail.yandex.net (HELO forward5j.cmail.yandex.net) (5.255.227.23) by la.mx.develooper.com (qpsmtpd/0.28) with ESMTP; Sun, 05 Jun 2016 11:03:31 -0700
Received: from mxback2j.mail.yandex.net (mxback2j.mail.yandex.net [5.45.198.16]) by forward5j.cmail.yandex.net (Yandex) with ESMTP id 09A0A20D14; Sun, 5 Jun 2016 21:03:25 +0300 (MSK)
Received: from web18j.yandex.ru (web18j.yandex.ru [5.45.198.59]) by mxback2j.mail.yandex.net (nwsmtp/Yandex) with ESMTP id xXesKp0Vsj-3PPuPHsV; Sun, 05 Jun 2016 21:03:25 +0300
Received: by web18j.yandex.ru with HTTP; Sun, 05 Jun 2016 21:03:25 +0300
Delivered-To: cpan-bug+module-build [...] hipster.bestpractical.com
Subject: Re: [rt.cpan.org #115094] perl Build.PL does not detect missing modules
Return-Path: <kes-kes [...] yandex.ru>
Dkim-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yandex.ru; s=mail; t=1465149805; bh=h/zav3ZW3WRgf76X1P59EYEmEANusW1JJMj8iXQ7rqQ=; h=X-Yandex-Sender-Uid:From:Envelope-From:To:In-Reply-To:References: Subject:MIME-Version:Message-Id:X-Mailer:Date: Content-Transfer-Encoding:Content-Type; b=qjU+ENkYiCQO2ghE+nnbOUe+NpM3mEpe5me17+Zx3u6iUyeAMq2Rvh/o02IMTZ/U+ QHX2bbsdtoUOwfweq9+WcHqseztkgpLYYzgm6RYpFj2MChMjeDyViMVcIkDjPLhx5k HvqrgDrl+t7t53EbRlc4MG5fIxOzUG18kk9LXz+s=
X-Spam-Check-BY: la.mx.develooper.com
X-Original-To: cpan-bug+module-build [...] hipster.bestpractical.com
X-RT-Mail-Extension: module-build
Date: Sun, 05 Jun 2016 21:03:25 +0300
X-Spam-Level:
X-Yandex-Suid-Status: 1 0,1 0,1 17274060
To: "bug-Module-Build [...] rt.cpan.org" <bug-module-build [...] rt.cpan.org>, "KES [...] cpan.org" <kes [...] cpan.org>
Content-Transfer-Encoding: 8bit
From: KES <kes-kes [...] yandex.ru>
RT-Message-ID: <rt-4.0.18-30378-1465149827-275.115094-0-0 [...] rt.cpan.org>
Content-Length: 3172
$ cpanm --info Module::Build LEONT/Module-Build-0.4218.tar.gz 05.06.2016, 20:49, "Leon Timmermans via RT" <bug-module-build@rt.cpan.org>: Show quoted text
> <URL: https://rt.cpan.org/Ticket/Display.html?id=115094 > > > On Sun, Jun 5, 2016 at 6:55 PM, Eugen Konkov via RT < > bug-Module-Build@rt.cpan.org> wrote: >
>>  For the project: https://github.com/KES777/Devel-DebugHooks >>  ``` >>  kes@keswork ~/work/projects/perl_libs $ perl Build.PL >>  Checking prerequisites... >>    recommends: >>      * IO::Async::Loop is not installed >>      * Log::Log4perl is not installed >> >>  ERRORS/WARNINGS FOUND IN PREREQUISITES. You may wish to install the >>  versions >>  of the modules indicated above before proceeding with this installation >> >>  Run 'Build installdeps' to install missing prerequisites. >> >>  Creating new 'MYMETA.yml' with configuration results >>  Creating new 'Build' script for 'Devel-DebugHooks' version '0.01_01' >>  kes@keswork ~/work/projects/perl_libs $ perlbrew list-modules >>  Capture::Tiny >>  Data::Dump >>  Data::OptList >>  Data::Section >>  ExtUtils::MakeMaker >>  Guard >>  MRO::Compat >>  Params::Util >>  Perl >>  Software::License >>  Sub::Exporter >>  Sub::Install >>  Test::FailWarnings >>  Test::Simple >>  Text::Template >>  Try::Tiny >>  kes@keswork ~/work/projects/perl_libs $ ./Build disttest >>  Creating Makefile.PL >>  Creating LICENSE file >>  Creating META.yml >>  Creating Devel-DebugHooks-0.01_01 >>  Checking prerequisites... >>    recommends: >>      * IO::Async::Loop is not installed >>      * Log::Log4perl is not installed >> >>  ERRORS/WARNINGS FOUND IN PREREQUISITES. You may wish to install the >>  versions >>  of the modules indicated above before proceeding with this installation >> >>  Run 'Build installdeps' to install missing prerequisites. >> >>  Creating new 'MYMETA.yml' with configuration results >>  Creating new 'Build' script for 'Devel-DebugHooks' version '0.01_01' >>  Building Devel-DebugHooks >>  t/15-eval.t .......... Can't locate Test/Output.pm in @INC (@INC contains: >>  /home/kes/work/projects/perl_libs/Devel-DebugHooks-0.01_01/blib/lib >>  /home/kes/work/projects/perl_libs/Devel-DebugHooks-0.01_01/blib/arch >>  /home/kes/perl5/perlbrew/perls/perl-5.12.5/lib/site_perl/5.12.5/x86_64-linux >>  /home/kes/perl5/perlbrew/perls/perl-5.12.5/lib/site_perl/5.12.5 >>  /home/kes/perl5/perlbrew/perls/perl-5.12.5/lib/5.12.5/x86_64-linux >>  /home/kes/perl5/perlbrew/perls/perl-5.12.5/lib/5.12.5 .) at t/15-eval.t >>  line 8. >>  BEGIN failed--compilation aborted at t/15-eval.t line 8. >> >>  ``` >> >>  But in the Build.PL: >>  ``` >>          test_requires => { >>                  'Test::More' => 0, >>                  'Test::Output' => 0, >>                  'Test::Differences' => 0, >>                  'Data::Section::Simple' => 0, >>          }, >>  ```
> > What version of Module::Build is used on the deployed system? test_requires > is a 0.4200+ feature, that may cause this issue. Configure_requires is your > friend. > > Leon
MIME-Version: 1.0
X-Spam-Status: No, score=-6.699 tagged_above=-99.9 required=10 tests=[BAYES_00=-1.9, DKIM_SIGNED=0.1, DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, FREEMAIL_FROM=0.001, FROM_OUR_RT=-4, RCVD_IN_DNSWL_LOW=-0.7] autolearn=ham
In-Reply-To: <2323811465149805 [...] web18j.yandex.ru>
X-Mailer: Yamail [ http://yandex.ru ] 5.0
X-Spam-Flag: NO
X-RT-Interface: API
X-Yandex-Sender-Uid: 7777926
Envelope-From: kes-kes [...] yandex.ua
References: <RT-Ticket-115094 [...] rt.cpan.org> <rt-4.0.18-5272-1465145748-666.115094-4-0 [...] rt.cpan.org> <CAHhgV8h8oKQ3nceiqYAvUxU9aDdahSUhUUFoic3inuEFGLcXXg [...] mail.gmail.com> <rt-4.0.18-2999-1465148978-177.115094-6-0 [...] rt.cpan.org> <2323811465149805 [...] web18j.yandex.ru>
X-Virus-Scanned: Debian amavisd-new at bestpractical.com
Message-ID: <2362291465153803 [...] web1h.yandex.ru>
content-type: text/plain; charset="utf-8"
X-RT-Original-Encoding: utf-8
X-Spam-Score: -6.699
Authentication-Results: hipster.bestpractical.com (amavisd-new); dkim=pass header.i= [...] yandex.ru
Authentication-Results: mxback4h.mail.yandex.net; dkim=pass header.i= [...] yandex.ru
Received: from localhost (localhost [127.0.0.1]) by hipster.bestpractical.com (Postfix) with ESMTP id 26121240114 for <cpan-bug+module-build [...] hipster.bestpractical.com>; Sun, 5 Jun 2016 15:10:16 -0400 (EDT)
Received: from hipster.bestpractical.com ([127.0.0.1]) by localhost (hipster.bestpractical.com [127.0.0.1]) (amavisd-new, port 10024) with ESMTP id aJcsVcpIoXIb for <cpan-bug+module-build [...] hipster.bestpractical.com>; Sun, 5 Jun 2016 15:10:14 -0400 (EDT)
Received: from la.mx.develooper.com (x1.develooper.com [207.171.7.70]) by hipster.bestpractical.com (Postfix) with SMTP id F25B92400B6 for <bug-module-build [...] rt.cpan.org>; Sun, 5 Jun 2016 15:10:13 -0400 (EDT)
Received: (qmail 15092 invoked by alias); 5 Jun 2016 19:10:13 -0000
Received: from forward2h.cmail.yandex.net (HELO forward2h.cmail.yandex.net) (87.250.230.17) by la.mx.develooper.com (qpsmtpd/0.28) with ESMTP; Sun, 05 Jun 2016 12:10:09 -0700
Received: from mxback4h.mail.yandex.net (mxback4h.mail.yandex.net [84.201.187.141]) by forward2h.cmail.yandex.net (Yandex) with ESMTP id 6C37920C4E; Sun, 5 Jun 2016 22:10:04 +0300 (MSK)
Received: from web1h.yandex.ru (web1h.yandex.ru [84.201.186.30]) by mxback4h.mail.yandex.net (nwsmtp/Yandex) with ESMTP id lhJuldmBTm-A3eGvw24; Sun, 05 Jun 2016 22:10:03 +0300
Received: by web1h.yandex.ru with HTTP; Sun, 05 Jun 2016 22:10:03 +0300
Delivered-To: cpan-bug+module-build [...] hipster.bestpractical.com
Subject: Re: [rt.cpan.org #115094] perl Build.PL does not detect missing modules
Return-Path: <kes-kes [...] yandex.ru>
Dkim-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yandex.ru; s=mail; t=1465153803; bh=LQnxPEoFYmk06lDFg6trAlkx53oTesUdtrQY+gkjcJw=; h=X-Yandex-Sender-Uid:From:Envelope-From:To:In-Reply-To:References: Subject:MIME-Version:Message-Id:X-Mailer:Date: Content-Transfer-Encoding:Content-Type; b=YeLlRzUf7yc3E/lNWDiRJsxGyXAmIUqKYTuVFXMjZMTexXyKJDrSdREBRuB87SrPv /vQ7Nnnd0PrOa4SOJsUIDb2xDPz8kQsng53PIo4WwYGuMW8MVfq6p9sD8A8UeXMAUL HKcf/z/qBg3vh8vA9wmxW3Eo13Zg/HCZGv4gyAaU=
X-Spam-Check-BY: la.mx.develooper.com
X-Original-To: cpan-bug+module-build [...] hipster.bestpractical.com
X-RT-Mail-Extension: module-build
Date: Sun, 05 Jun 2016 22:10:03 +0300
X-Spam-Level:
X-Yandex-Suid-Status: 1 0,1 0,1 17274060
To: "bug-Module-Build [...] rt.cpan.org" <bug-module-build [...] rt.cpan.org>, "KES [...] cpan.org" <kes [...] cpan.org>
Content-Transfer-Encoding: 8bit
From: KES <kes-kes [...] yandex.ru>
RT-Message-ID: <rt-4.0.18-10131-1465153816-206.115094-0-0 [...] rt.cpan.org>
Content-Length: 3619
Download (untitled) / with headers
text/plain 3.5k
I have found the problem. Old perl include old version of Module::Build. I just have checked with perl-5.14.4. The version is: $VERSION = '0.3800' Sorry for disturb 05.06.2016, 21:04, "KES" <kes-kes@yandex.ru>: Show quoted text
> $ cpanm --info Module::Build > LEONT/Module-Build-0.4218.tar.gz > > 05.06.2016, 20:49, "Leon Timmermans via RT" <bug-module-build@rt.cpan.org>:
>>  <URL: https://rt.cpan.org/Ticket/Display.html?id=115094 > >> >>  On Sun, Jun 5, 2016 at 6:55 PM, Eugen Konkov via RT < >>  bug-Module-Build@rt.cpan.org> wrote: >>
>>>   For the project: https://github.com/KES777/Devel-DebugHooks >>>   ``` >>>   kes@keswork ~/work/projects/perl_libs $ perl Build.PL >>>   Checking prerequisites... >>>     recommends: >>>       * IO::Async::Loop is not installed >>>       * Log::Log4perl is not installed >>> >>>   ERRORS/WARNINGS FOUND IN PREREQUISITES. You may wish to install the >>>   versions >>>   of the modules indicated above before proceeding with this installation >>> >>>   Run 'Build installdeps' to install missing prerequisites. >>> >>>   Creating new 'MYMETA.yml' with configuration results >>>   Creating new 'Build' script for 'Devel-DebugHooks' version '0.01_01' >>>   kes@keswork ~/work/projects/perl_libs $ perlbrew list-modules >>>   Capture::Tiny >>>   Data::Dump >>>   Data::OptList >>>   Data::Section >>>   ExtUtils::MakeMaker >>>   Guard >>>   MRO::Compat >>>   Params::Util >>>   Perl >>>   Software::License >>>   Sub::Exporter >>>   Sub::Install >>>   Test::FailWarnings >>>   Test::Simple >>>   Text::Template >>>   Try::Tiny >>>   kes@keswork ~/work/projects/perl_libs $ ./Build disttest >>>   Creating Makefile.PL >>>   Creating LICENSE file >>>   Creating META.yml >>>   Creating Devel-DebugHooks-0.01_01 >>>   Checking prerequisites... >>>     recommends: >>>       * IO::Async::Loop is not installed >>>       * Log::Log4perl is not installed >>> >>>   ERRORS/WARNINGS FOUND IN PREREQUISITES. You may wish to install the >>>   versions >>>   of the modules indicated above before proceeding with this installation >>> >>>   Run 'Build installdeps' to install missing prerequisites. >>> >>>   Creating new 'MYMETA.yml' with configuration results >>>   Creating new 'Build' script for 'Devel-DebugHooks' version '0.01_01' >>>   Building Devel-DebugHooks >>>   t/15-eval.t .......... Can't locate Test/Output.pm in @INC (@INC contains: >>>   /home/kes/work/projects/perl_libs/Devel-DebugHooks-0.01_01/blib/lib >>>   /home/kes/work/projects/perl_libs/Devel-DebugHooks-0.01_01/blib/arch >>>   /home/kes/perl5/perlbrew/perls/perl-5.12.5/lib/site_perl/5.12.5/x86_64-linux >>>   /home/kes/perl5/perlbrew/perls/perl-5.12.5/lib/site_perl/5.12.5 >>>   /home/kes/perl5/perlbrew/perls/perl-5.12.5/lib/5.12.5/x86_64-linux >>>   /home/kes/perl5/perlbrew/perls/perl-5.12.5/lib/5.12.5 .) at t/15-eval.t >>>   line 8. >>>   BEGIN failed--compilation aborted at t/15-eval.t line 8. >>> >>>   ``` >>> >>>   But in the Build.PL: >>>   ``` >>>           test_requires => { >>>                   'Test::More' => 0, >>>                   'Test::Output' => 0, >>>                   'Test::Differences' => 0, >>>                   'Data::Section::Simple' => 0, >>>           }, >>>   ```
>> >>  What version of Module::Build is used on the deployed system? test_requires >>  is a 0.4200+ feature, that may cause this issue. Configure_requires is your >>  friend. >> >>  Leon


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.